PAPERLESS_DBUSER=paperless
PAPERLESS_DBPASS=changeme
PAPERLESS_SECRET_KEY=generate_with_openssl_rand_hex_32
PAPERLESS_REDIS=redis://:URL_ENCODED_REDIS_PASSWORD@shared-redis:6379
PAPERLESS_TIKA_ENABLED=1
PAPERLESS_TIKA_ENDPOINT=http://tika:9998
PAPERLESS_TIKA_GOTENBERG_ENDPOINT=http://gotenberg:3000

# -----------------------------
# Karakeep
# -----------------------------
KARAKEEP_VERSION=release
KARAKEEP_NEXTAUTH_URL=https://karakeep.paccoco.com
KARAKEEP_NEXTAUTH_SECRET=generate_with_openssl_rand_base64_36
KARAKEEP_MEILI_MASTER_KEY=generate_with_openssl_rand_base64_36_alnum
KARAKEEP_DISABLE_SIGNUPS=false
KARAKEEP_DB_WAL_MODE=true
KARAKEEP_LOG_LEVEL=notice

# Optional local AI later:
# KARAKEEP_OLLAMA_BASE_URL=http://10.5.30.6:11434
# KARAKEEP_INFERENCE_TEXT_MODEL=llama3.2
# KARAKEEP_INFERENCE_ENABLE_AUTO_TAGGING=true
# KARAKEEP_INFERENCE_ENABLE_AUTO_SUMMARIZATION=false
